// PageView.h
// Copyright(C) 1999 by Kiyoshi Kobayashi. All rights reserved.
//
//
#ifndef _PAGE_VIEW_H_
#define _PAGE_VIEW_H_

#include <View.h>
#include <Rect.h>
#include <List.h>
#include <StringView.h>

#include "BaseView.h"
#include "LineGraphView.h"
#include "SysInfoObserver.h"

// Paging monitor view
//
class _EXPORT PageView : public BaseView {
  public:
	PageView(BRect frame);
	PageView(BMessage *archive);
	~PageView();
	
	// BView
	void AttachedToWindow();
	void FrameResized(float width, float height);

	// Archivable
	status_t Archive(BMessage *archive, bool deep) const;
	static BArchivable *Instantiate(BMessage *archive);

	void Update(float rate);
	
  private:
	PageView(const PageView &);
	PageView &operator=(const PageView &) { return *this; };

	void Adjust(float width, float height);
	
	float max;
	BStringView *sView;
	LineGraphView *gView;
	SysInfoObserver *obs;
	
	char buf[1024];
};

#endif /* _PAGE_VIEW_H_ */
